/*

    Bist: a chemical drawing tool
    Copyright (C) 2008 Valerio Benfante

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 *Questa classe rappresenta un singolo legame.
 */

class legame {

public:
  legame (int nw_id_atomo, int nw_id_legame ,int nw_tipo_legame,
	  int comp_r, int comp_g, int comp_b);

  ~legame();

 /**
  *\return true se altro ha lo stesso id di quest'istanza
  **/

  bool operator==(legame altro);


  /*recupera i valori*/
  int id_atomo();
  int id_legame();
  int tipo_legame();

  int cr();
  int cg();
  int cb();



  /*setta i valori*/
  void id_atomo(int nw);
  void id_legame(int nw);
  void tipo_legame(int nw);

  void cr(int nw);
  void cg(int nw);
  void cb(int nw);


protected:
  legame();
  int _id_atomo;
  int _id_legame;
  int _tipo_legame;
  int _cr;
  int _cg;
  int _cb;
};
